import folium
from pyroutelib3 import Router

router = Router("cycle")

depart = router.findNode(48.8665424, 2.2803787) # rue de longchamp
arrivee = router.findNode(48.86417, 2.30237) # pont de l'alma

status, route = router.doRoute(depart,arrivee)

if status == 'success':
    routeLatLons = list(map(router.nodeLatLon,route))

m = folium.Map(location = [48.8658669, 2.2804251],zoom_start=15)

for coord in routeLatLons:
    coord=list(coord)
    folium.Marker(coord).add_to(m)

m.save('maCarte3.html')



